#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_with	introspection	# GObject Introspection [broken cmake support in 1.1.[3-6]]

Summary:	Library for processing digital sample based MIDI instrument "patch" files
Summary(pl.UTF-8):	Biblioteka do przetwarzania plików "wstawek" instrumentów MIDI opartych na próbkach cyfrowych
Name:		libinstpatch
Version:	1.1.6
Release:	2
License:	LGPL v2.1
Group:		Libraries
#Source0Download: https://github.com/swami/libinstpatch/releases
Source0:	https://github.com/swami/libinstpatch/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	159f70ffb53f56dd54e4827ef77b1804
Patch0:		%{name}-gtkdoc.patch
URL:		http://www.swamiproject.org/
BuildRequires:	cmake >= 2.6.3
BuildRequires:	glib2-devel >= 1:2.14
%{?with_introspection:BuildRequires:	gobject-introspection-devel}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.33.2-3}
BuildRequires:	libsndfile-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libInstPatch stands for lib-Instrument-Patch and is a library for
processing digital sample based MIDI instrument "patch" files. The
types of files libInstPatch supports are used for creating instrument
sounds for wavetable synthesis. libInstPatch provides an object
framework (based on GObject) to load patch files into, which can then
be edited, converted, compressed and saved.

%description -l pl.UTF-8
libInstPatch to skrót od lib-Instrument-Patch i jest to biblioteka do
przetwarzania opartych na próbkach cyfrowych plików wstawek ("patchy")
instrumentów MIDI. Typy plików, jakie obsługuje libInstPatch, służą do
tworzenia dźwięków instrumentów do syntezy wavetable. libInstPatch
zapewnia szkielet obiektowy (oparty na GObject) do ładowania plików
próbek, które następnie mogą być modyfikowane, konwertowane,
kompresowane i zapisywane.

%package devel
Summary:	Header files for libinstpatch library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libinstpatch
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.14
Requires:	libsndfile-devel >= 1.0.0

%description devel
Header files for libinstpatch library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libinstpatch.

%package apidocs
Summary:	API documentation for libinstpatch library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libinstpatch
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for libinstpatch library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libinstpatch.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	%{?with_apidocs:-DGTKDOC_ENABLED=ON} \
	%{?with_introspection:-DINTROSPECTION_ENABLED=ON}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with apidocs}
install -d $RPM_BUILD_ROOT%{_gtkdocdir}/libinstpatch
cp -p build/docs/reference/html/* $RPM_BUILD_ROOT%{_gtkdocdir}/libinstpatch
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md TODO.tasks
%attr(755,root,root) %{_libdir}/libinstpatch-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libinstpatch-1.0.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libinstpatch-1.0.so
%{_includedir}/libinstpatch-2
%{_pkgconfigdir}/libinstpatch-1.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libinstpatch
%endif
%changelog
* Sat Apr 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libinstpatch.git;a=log;h=master

* Sat Apr 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 4c8a852
- rediff, release 2

* Sat Apr 17 2021 Jakub Bogusz <qboosh@pld-linux.org> a8a0ece
- update to 1.1.6
- updated gtkdoc patch, require gtk-doc with cmake fix applied

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 6080d64
- unconditional noarch subpackages

* Sun Jan 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 5f7970f
- updated to 1.1.5
- added gtkdoc patch, actually build apidocs by default

* Mon Mar 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 8317236
- -devel deps

* Mon Mar 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 998eeeb
- new

